> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Shopify App Profile API

> Name, description, rating, developer, categories, pricing plans, and more for one app.



## OpenAPI

````yaml https://api.scoutlayer.io/openapi.json get /v1/shopify/apps/{handle}
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Structured data from the web. No browser required.
servers:
  - url: https://api.scoutlayer.com
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/shopify/apps/{handle}:
    get:
      tags:
        - shopify
        - app-store
        - apps
      summary: Get a Shopify App Store app by handle
      description: >-
        Name, description, rating, developer, categories, pricing plans, and
        more for one app.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: klaviyo
          required: true
          name: handle
          in: path
      responses:
        '200':
          description: Get a Shopify App Store app by handle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppDetail'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    AppDetail:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        handle:
          type: string
        logo:
          type: string
        rating:
          type: string
        reviewCount:
          type: integer
        developer:
          type: object
          properties:
            name:
              type: string
            address:
              type: string
            url:
              type: string
            website:
              type: string
          required:
            - name
            - address
            - url
            - website
        languages:
          type: array
          items:
            type: string
        categories:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              url:
                type: string
              handle:
                type: string
            required:
              - name
              - url
              - handle
        worksWith:
          type: array
          items:
            type: string
        pricing:
          type: string
        pricings:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              price:
                type: string
              period:
                type: string
              description:
                type: string
              features:
                type: array
                items:
                  type: string
            required:
              - name
              - price
              - period
              - description
              - features
        launchedDate:
          type: string
          nullable: true
        builtForShopify:
          type: string
          example: 'TRUE'
      required:
        - name
        - description
        - handle
        - rating
        - reviewCount
        - developer
        - languages
        - categories
        - worksWith
        - pricing
        - pricings
        - launchedDate
        - builtForShopify
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````